package editeur;

import java.awt.Graphics;
import java.awt.Point;
import java.util.List;

public class Triangle implements Forme {
	Point[] points = new Point[3];

	public Triangle(List<Point> points) {
		if (points.size() != 3)
			throw new IllegalArgumentException();
		points.toArray(this.points);
	}

	public void dessine(Graphics g) {
		g.drawLine(points[0].x, points[0].y,points[1].x, points[1].y);
		g.drawLine(points[1].x, points[1].y,points[2].x, points[2].y);
		g.drawLine(points[2].x, points[2].y,points[0].x, points[0].y);
	}
	
	public String toString() {
		StringBuffer sb = new StringBuffer("Triangle entre");
		for (Point p : points) {
			sb.append(" (" + p.getX() + "," + p.getY() + ")");
		}
		return sb.toString();
	}
}
